import {RouterModule, Routes} from '@angular/router';
import {NgModule} from '@angular/core';

const routes: Routes = [
  {
    path: '',
    redirectTo: 'home',
    pathMatch: 'full'
  },
  {
    path: 'home',
    loadChildren: () =>  import('./home/home.module').then(x => x.HomeModule),
  },
  {
    path: 'scheduler',
    loadChildren: () => import('./scheduler/scheduler.module').then(x => x.SchedulerModule),
  },
  {
    path: 'dumb',
    loadChildren: () => import('./dumb/dumb.module').then(x => x.DumbModule),
  }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule {

}
