const schedulerConfig = {
    rowHeight         : 50,
    minHeight         : 300,
    barMargin         : 4,
    eventColor        : 'indigo',
    startDate         : null,
    endDate           : null,
    columns           : [
        {
            type           : 'resourceInfo',
            text           : 'Técnicos',
            width          : 250,
            showRole       : true,
            editor         : false,
            showEventCount : false,
            showImage      : false
        },
        {
            text     : 'Total',
            editor   : false,
            renderer : data => `${data.record.events.length || ''}`,
            align    : 'center',
            sortable : (a, b) => a.events.length < b.events.length ? -1 : 1,
            width    : 80
        }
    ],
    viewPreset : {
        base           : 'hourAndDay',
        tickWidth      : 45,
        columnLinesFor : 1,
        displayDateFormat: 'DD/MM/YYYY HH:mm',
        timeResolution : {                
            unit      : 'minute',
            increment : 15                 
        },
        headers        : [
            {
                unit       : 'd',
                align      : 'center',
                dateFormat : 'dddd DD/MM'
            },
            {
                unit       : 'h',
                align      : 'center',
                dateFormat : 'HH:mm',
                increment : 2
            }
        ]
    },

    stripeFeature     : true,
    timeRangesFeature : true,
    eventMenuFeature  : {
        items : {
            unassign : {
                text   : 'Remover atribuição',
                icon   : 'b-fa b-fa-user-times',
                weight : 200,
                onItem : ({ eventRecord, resourceRecord }) => eventRecord.unassign(resourceRecord)
            }
        }
    },

    resources  : [],
    events : [],
};

export default schedulerConfig;
